Subject: Re: [PATCH v2] include/linux/skbuff.h: using '(u16) ~0U' instead of '~0U'

From: Chen Gang <[email-masked]>
Date: Wed, 05 Jun 2013 08:44:14 +0800

On 06/03/2013 08:47 PM, David Laight wrote:
>>> +#define SKB_HEADER_UNSET_16	((unsigned short) ~0U)
>>> > > +
>> > 
>> > The _16 part isn't really correct, the type could be changed
>> > and then it would be wrong.
>> > 
>> > I think I might have used SKB_HEADER_OFFSET.
> I meant SKB_HEADER_UNSET_OFFSET or SKB_HEADER_OFFSET_UNSET
> 

It sound good, I choose the 2nd: 'SKB_HEADER_OFFSET_UNSET', for it may
be a 'noun', not a 'sentence'.

I will send patch v3 (also use '__u16' instead of 'unsigned short')

Thanks.
-- 
Chen Gang

Asianux Corporation